<br>
<br>
<br>
<mat-grid-list cols="2" rowHeight="2:1" *ngFor="let drug of allDrugs |async ">
  <div class="col-xl-10 col-lg-10">
    <div class="card" style="max-width: 18rem;">
      <div class="card-header bg-behance content-center">
        <img [src]="formatImage(drug.picByte)" width="200" height="100" alt="not found">
      </div>
      <div class="card-body row text-center">
        <div class="col">
          <div class="text-capitalize">drug name:</div>
          <div class="text-primary">{{drug.drugName}}</div>
        </div>
        <div class="vr"></div>
        <div class="col">
          <div class="text-capitalize">drug price</div>
          <div class="text-primary">{{drug.price}}JD</div>
        </div>
        <div class="vr"></div>
        <div class="col">
          <div class="text-capitalize">quantity</div>
          <div class="text-primary ">{{drug.quantity}}</div>
        </div>
      </div>
      <div class="card-body row text-right">
        <a type="button" (click)="decreaseQuantity(drug.drugName) " class="align-items-lg-center btn btn-outline-info ">buy
          with current card</a>
      </div>
      <div class="card-body row text-right">
        <a type="button" (click)="goToCredit(drug.drugName) " class="align-items-lg-center btn btn-outline-secondary ">buy
          with new card</a>
      </div>
    </div>
  </div>
</mat-grid-list>
